<?php

namespace App\Http\Requests;


class ReportUserRecordRequest extends Request
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'uid' => 'required|integer|exists:users,id',
            'adid' => 'required|string',
            'platform' => 'required|string',
            'is_qapp' => 'required|integer',
            'link' => 'required_if:is_qapp,0|string',
            'callback' => 'required_if:is_qapp,1|string',
            'muid' => 'string',
            'os' => 'string',
        ];
    }
}
